> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Subscription Intent

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /subscription_intents/{id}
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /subscription_intents/{id}:
    get:
      summary: Retrieve Subscription Intent
      operationId: retrieve-subsciption-intent
      parameters:
        - name: id
          in: path
          required: true
          description: The `id` of the Subscription Intent you want to get.
          schema:
            type: string
            default: ''
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: "{\n  \"id\": \"si_m7N9rAWJS9dWDKEe\",\n  \"object\": \"subscription_intent\",\n  \"widget_token\": null,\n  \"status\": \"succeeded\",\n  \"bank_acount\": {\n    \"holder_id\": \"176994061\",\n    \"number\": \"123456\",\n    \"type\": \"checking_account\",\n    \"institution_id\": \"cl_banco_de_chile\"\n  },\n  \"subscription\": null,\n\t\"created_at\": \"2021-11-11T02:29:16Z\"\n}"
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: si_m7N9rAWJS9dWDKEe
                  object:
                    type: string
                    example: subscription_intent
                  widget_token: {}
                  status:
                    type: string
                    example: succeeded
                  bank_acount:
                    type: object
                    properties:
                      holder_id:
                        type: string
                        example: '176994061'
                      number:
                        type: string
                        example: '123456'
                      type:
                        type: string
                        example: checking_account
                      institution_id:
                        type: string
                        example: cl_banco_de_chile
                  subscription: {}
                  created_at:
                    type: string
                    example: '2021-11-11T02:29:16Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````